Package wx :: Package lib :: Package agw :: Module balloontip :: Class BalloonFrame

[frames | no frames]

## Type BalloonFrame

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                         Frame --+
                                 |
                                BalloonFrame

Method Summary
| ``__init__`(self, parent, id, pos, size, classparent)` Default class constructor.
| ``OnClose`(self, event)` Handles the wx.EVT_CLOSE event.
| ``OnEnterButton`(self, event)` Handles the wx.EVT_ENTER_WINDOW for the BalloonTip button.
| ``OnLeaveButton`(self, event)` Handles the wx.EVT_LEAVE_WINDOW for the BalloonTip button.
| ``SetBalloonShape`(self, event)` Sets the balloon shape.

Property Summary

Instance Method Details

### __init__(self, parent, id=-1, pos=wx.Point(-1, -1), size=wx.Size(-1, -1), classparent=None)
(Constructor)

Default class constructor.

Used internally. Do not call directly this class in your application!

  Overrides:
    `wx.Frame.__init__`

### OnClose(self, event)

Handles the wx.EVT_CLOSE event.

### OnEnterButton(self, event)

Handles the wx.EVT_ENTER_WINDOW for the BalloonTip button.

When the BalloonTip is created with the tipstyle=BT_BUTTON, this event provide some kind of 3d effect when the mouse enters the button area.

### OnLeaveButton(self, event)

Handles the wx.EVT_LEAVE_WINDOW for the BalloonTip button.

When the BalloonTip is created with the tipstyle=BT_BUTTON, this event restore the button appearance when the mouse leaves the button area.

### SetBalloonShape(self, event=None)

Sets the balloon shape.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:52:10 2009 | http://epydoc.sf.net